RPM Dependencies to NSS/NSPR/JSS in Oracle Linux 6.x When Installing Messaging Server 7u5

(Doc ID 2026656.1)

Last updated on AUGUST 31, 2017

Applies to:

Oracle Communications Messaging Server - Version 7.0.5 to 8.0.0 [Release 7.0.0 to 8.0.0]
Information in this document applies to any platform.
Linux x86-64

Goal

Is there a way to remove the RPM dependencies from Messaging Server(MS) to NSS/NSPR/JSS in Oracle Linux 6.x for Messaging Server 7u5 installs?

From the install logs, seeing:

The problem dependencies are marked with "**" below:

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  WILL INSTALL: NSPR/NSS/JSS 4.8.9
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-nspr-4.8.9-1.x86_64.rpm
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-nspr-4.8.9-1.i386.rpm **
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-nss-3.13.1-1.x86_64.rpm
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-nss-3.13.1-1.i386.rpm **
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-jss-4.3.2-4.x86_64.rpm
  Task: rpm -i
/dev/shm/V46527-01/Linux_x86/NSS/Packages/sun-jss-4.3.2-4.i386.rpm  **
  WILL INSTALL: Messaging Server (64bit) 7.0.5.31.0
  Task: rpm -i  --prefix /opt/sun/comms/messaging64
/dev/shm/V46527-01/Linux_x86/MS64/Packages/sun-messaging-server64-7.5-31.0.x86_64.rpm
  WILL INSTALL: CommsInstaller 7.0.6.0.0
  Task: rpm -i  --prefix /opt/sun/comms/CommsInstaller
/dev/shm/V46527-01/Linux_x86/CI/Packages/sun-comms-installer-7.6-0.10.i386.rpm
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=  
 

 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms